/* Base Styles */
body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: 'Robot', sans-serif;
    line-height: 1.6;
    background: var(--background-color);
    color: var(--text-color);
    transition: background-color 0.3s, color 0.3s;
    overflow-x: hidden;
    margin: 0;
    padding-top: 90px;
    box-sizing: border-box;
}

a {
    color: #64b5f6;
}

a:hover {
    color: #bbdefb;
}

p {
    margin-bottom: 1rem;
}

h1,
h2,
h3,
h4 {
    font-weight: bold;
    margin-bottom: 0.5rem;
    background-image: linear-gradient(to right, var(--primary-color),var(--secondary-color),var(--tertiary-color)); /* Example gradient */
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    margin-bottom: 0.5em; 
}


/* Layout: Header */
header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}


/* Logo */
.logo {
    font-size: 2rem;
    font-weight: 700;
    color: var(--secondary-color);
    letter-spacing: 1px;
}

.logo:hover {
    color: var(--background-hover);
}




/* Theme Toggle */
.theme-toggle {
    position: relative;
    font-size: 1.4rem;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background: var(--background-theme-toggle);
    border-radius: 50%;
    transition: all 0.3s ease;
    border: 2px solid transparent;
}

.theme-toggle:hover {
    transform: scale(1.1);
    background: var(--secondary-color);
    border-color: var(--text-color);
}

.theme-toggle::before {
    content: '🌙';
}

body.dark-theme .theme-toggle::before {
    content: '☀️';
}

.theme-toggle:focus {
    outline: none;
    box-shadow: 0 0 0 2px var(--background-hover);
}

@media (hover: hover) {
    .theme-toggle:hover {
        animation: pulse 1s infinite;
    }
}

@keyframes pulse {
    0% { transform: scale(1); }
    50% { transform: scale(1.1); }
    100% { transform: scale(1); }
}


/* Layout: Main Content */
main {
    flex-grow: 1;
    width: 100%;
}

/* Components: Hero Section */
.hero {
    position: relative;
    align-items: center;
    text-align: center;
    overflow: hidden; 
}


.hero h1 {
    font-size: 30px;
    margin-bottom: 1rem;
    text-transform: uppercase;
}


.hero p {
    font-size: 1.2rem;
    line-height: 1.8;
    max-width: 700px;
    margin: 2rem auto;
    padding: 0 1rem;
    text-align: justify;
}
.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    opacity: 0.7;
}

#about {
    min-height: 75vh;
    flex-direction: column;
    justify-content: center;   
}

.about-intro {
    position: block;
    top: 10%;
    padding: 10px;
    display: flex; /* Use flexbox for easy centering */
    flex-direction: column;
    align-items: center; /* Center horizontally */
    justify-content: center; /* Center vertically */
    min-height: 200px; /* Ensure there's some space to see the effect */
    text-align: center; /* Center text within elements */
}

.about-intro h1 {
    font-size: 2.5em; /* Adjust as needed */
}

.about-intro h2 {
    font-size: 1.2em; /* Adjust as needed */
}

.about-img {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px; 
}

.about-img img {
    width: 300px;
    height: 300px;
    object-fit: cover;
}

.about-img p {
    margin: 2rem; /* Remove default margin from the paragraph */
}

/*Services*/

.services {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 2rem 0rem;
    overflow: hidden;
}

.services h1 {
    font-size: 2.5em;
    background-image: linear-gradient(to right, var(--primary-color), var(--secondary-color),var(--tertiary-color), var(--secondary-color)); /* Example gradient */
}


.box-fiver {
    margin: 0 auto;
    margin-top: 1rem;
    width: 80%;
    max-width: 600px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.7);
}

.box-fiver iframe {
    width: 100%;
    height: 500px;
    border: 0;
}


#home {
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 2rem 0rem;
    overflow: hidden;
}
.contact-hero {
    height: 100vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 2rem 0rem;
    overflow: hidden;
}

.contact {
    display: flex;
    text-align: left;
    padding: 1rem;
}

.form-group {
    padding: 1rem;
}

.contact-info {
    padding: 1rem;
}

.submit-btn {
    text-align: right;
    padding: 0rem 1rem;
    justify-content: center;
    align-items: center;

}

.social-links a {
    display: inline-block;
    margin: 0 10px;
}

.social-links svg {
    width: 30px;
    height: 30px;
}

.social-links img {
    width: 30px;
    height: 30px;
}

.social-links a:hover svg {
    fill: #007bff;
}


/* Blog Section */
.blog-section {
    padding: 2rem;
    background-color: var(--background-);
    color: var(--text-color);
    min-height: 100vh;
}

.blog-intro {
    text-align: center;
    margin-bottom: 2rem;
}

.blog-posts {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: center;
}

.blog-post {
    background-color: var(--background-blog-post);
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    overflow: hidden;
    max-width: 300px;
    text-align: center;
    transition: transform 0.3s;
}

.blog-post img {
    width: 100%;
    height: auto;
}

.blog-post h2 {
    font-size: 1.5rem;
    margin: 1rem 0;
    color: var(--blog-post-text-color);
}

.blog-post p {
    padding: 0 1rem;
    margin-bottom: 1rem;
    color: var(--blog-post-text-color);
}

.blog-post .read-more {
    display: inline-block;
    margin-bottom: 1rem;
    padding: 0.5rem 1rem;
    background-color: var(--primary-color);
    color: #fff;
    border-radius: 5px;
    text-decoration: none;
    transition: background-color 0.3s;
}

.blog-post .read-more:hover {
    background-color: var(--secondary-color);
}

.blog-post:hover {
    transform: translateY(-5px);
}

/* Social Links */
.social-links {
    display: flex;
    justify-content: center;
    gap: 1rem;
    list-style: none;
    padding: 0;
}

.social-links li {
    display: inline-block;
}

.social-links a img {
    width: 30px;
    height: 30px;
}

/* Media Container */
.media-container {
    width: 300px;
    height: 300px;
    position: relative;
    margin: 0 auto;
    border-radius: 50%;
    overflow: hidden;
}

/* .profile-image, */
.profile-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 50%;
    transition: opacity 0.5s ease;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.profile-video:hover {
    opacity: 1;
}


@media (max-width: 768px) {
    .media-container {
        width: 200px;
        height: 200px;
    }

    .about-img img {
        width: 200px;
        height: 200px;
        offset-position: 15% 75%;
    }
}
